<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/Integration/include/Integration/TestMessageSender.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_eecb7863cc5539e333a9a51474f7e532.html">Integration</a></li><li class="navelem"><a class="el" href="dir_d487033c4cf6e1e6824ef2db7b280e3e.html">include</a></li><li class="navelem"><a class="el" href="dir_84c9947eba37dd4948f5fc1406e22cb3.html">Integration</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TestMessageSender.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_test_message_sender_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_INTEGRATION_INCLUDE_INTEGRATION_TESTMESSAGESENDER_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_INTEGRATION_INCLUDE_INTEGRATION_TESTMESSAGESENDER_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;chrono&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;deque&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;mutex&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_a_v_s_connection_manager_8h.html">ACL/AVSConnectionManager.h</a>&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_message_sender_interface_8h.html">AVSCommon/SDKInterfaces/MessageSenderInterface.h</a>&gt;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_message_observer_interface_8h.html">AVSCommon/SDKInterfaces/MessageObserverInterface.h</a>&gt;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_requires_shutdown_8h.html">AVSCommon/Utils/RequiresShutdown.h</a>&gt;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">namespace </span>integration {</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">namespace </span>test {</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html">   33</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html">TestMessageSender</a></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_sender_interface.html">avsCommon::sdkInterfaces::MessageSenderInterface</a></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">avsCommon::utils::RequiresShutdown</a> {</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#a9b4ae093a5b975efb2a46d03ef79ef06">~TestMessageSender</a>() = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#aaabb981846520744e28c135381eb48be">sendMessage</a>(std::shared_ptr&lt;avsCommon::avs::MessageRequest&gt; request) <span class="keyword">override</span>;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#a3c2ce10ea757a7654292f85ee252d6b9">TestMessageSender</a>(</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        std::shared_ptr&lt;acl::MessageRouterInterface&gt; messageRouter,</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#a44348b00ab1f0cb04a73c068c62b602a">isEnabled</a>,</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::ConnectionStatusObserverInterface&gt; connectionStatusObserver,</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::MessageObserverInterface&gt; messageObserver);</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params.html">   48</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params.html">SendParams</a> {</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params.html#a54c389020d1074712ead473e1fa859ed">   50</a></span>&#160;        <span class="keyword">enum class</span> <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params.html#a54c389020d1074712ead473e1fa859ed">Type</a> { <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params.html#a54c389020d1074712ead473e1fa859eda548e51fa67d541384e9585adf0db95dc">SEND</a>, <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params.html#a54c389020d1074712ead473e1fa859eda070a0fb40f6c308ab544b227660aadff">TIMEOUT</a> };</div><div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params.html#a9fcee0be8a517010c0b2dd44f4e00834">   51</a></span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params.html#a54c389020d1074712ead473e1fa859ed">Type</a> <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params.html#a9fcee0be8a517010c0b2dd44f4e00834">type</a>;</div><div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params.html#a1544f28df3dca5fc0d9d8a946e88e1a4">   52</a></span>&#160;        std::shared_ptr&lt;avsCommon::avs::MessageRequest&gt; <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params.html#a1544f28df3dca5fc0d9d8a946e88e1a4">request</a>;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    };</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params.html">SendParams</a> <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#a4734d80e07bf0feb5e4d430f6e70b44d">waitForNext</a>(<span class="keyword">const</span> std::chrono::seconds duration);</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#af28872b52cbaa0de6f564e064cda47ad">enable</a>();</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#a1c066490041487f7f5e5aae75ef741f0">disable</a>();</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#a44348b00ab1f0cb04a73c068c62b602a">isEnabled</a>();</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#aa867cfb33c696a38b2ee3337956bf290">reconnect</a>();</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#a0eb1ed8a91e86c20869dd8fe66bc8052">setAVSEndpoint</a>(<span class="keyword">const</span> std::string&amp; avsEndpoint);</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#a47359099b4ca57765afe0ff49e863d02">addConnectionStatusObserver</a>(</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::ConnectionStatusObserverInterface&gt; observer);</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#aa107c49f645855dc9be7b993d9063b83">removeConnectionStatusObserver</a>(</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::ConnectionStatusObserverInterface&gt; observer);</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#a1ae2b5cc8b5b12ac7d2ff628b5553c28">addMessageObserver</a>(std::shared_ptr&lt;avsCommon::sdkInterfaces::MessageObserverInterface&gt; observer);</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#ab529ae50de9598bc8b65c2ae841af201">removeMessageObserver</a>(std::shared_ptr&lt;avsCommon::sdkInterfaces::MessageObserverInterface&gt; observer);</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#a03da143f79dd06ae6be8125f2f97d467">doShutdown</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    std::shared_ptr&lt;acl::AVSConnectionManager&gt; <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#a3c69f5d6ad9702655497db65a844b673">getConnectionManager</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    std::mutex m_mutex;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    std::condition_variable m_wakeTrigger;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    std::deque&lt;SendParams&gt; m_queue;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    std::shared_ptr&lt;acl::AVSConnectionManager&gt; m_connectionManager;</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;};</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;}  <span class="comment">// namespace test</span></div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;}  <span class="comment">// namespace integration</span></div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_INTEGRATION_INCLUDE_INTEGRATION_TESTMESSAGESENDER_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params_html_a9fcee0be8a517010c0b2dd44f4e00834"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params.html#a9fcee0be8a517010c0b2dd44f4e00834">alexaClientSDK::integration::test::TestMessageSender::SendParams::type</a></div><div class="ttdeci">Type type</div><div class="ttdef"><b>Definition:</b> TestMessageSender.h:51</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_html_a44348b00ab1f0cb04a73c068c62b602a"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#a44348b00ab1f0cb04a73c068c62b602a">alexaClientSDK::integration::test::TestMessageSender::isEnabled</a></div><div class="ttdeci">bool isEnabled()</div><div class="ttdef"><b>Definition:</b> TestMessageSender.cpp:69</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_html_a47359099b4ca57765afe0ff49e863d02"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#a47359099b4ca57765afe0ff49e863d02">alexaClientSDK::integration::test::TestMessageSender::addConnectionStatusObserver</a></div><div class="ttdeci">void addConnectionStatusObserver(std::shared_ptr&lt; avsCommon::sdkInterfaces::ConnectionStatusObserverInterface &gt; observer)</div><div class="ttdef"><b>Definition:</b> TestMessageSender.cpp:81</div></div>
<div class="ttc" id="_requires_shutdown_8h_html"><div class="ttname"><a href="_requires_shutdown_8h.html">RequiresShutdown.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_html_a9b4ae093a5b975efb2a46d03ef79ef06"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#a9b4ae093a5b975efb2a46d03ef79ef06">alexaClientSDK::integration::test::TestMessageSender::~TestMessageSender</a></div><div class="ttdeci">~TestMessageSender()=default</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></div><div class="ttdef"><b>Definition:</b> RequiresShutdown.h:32</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_html_a03da143f79dd06ae6be8125f2f97d467"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#a03da143f79dd06ae6be8125f2f97d467">alexaClientSDK::integration::test::TestMessageSender::doShutdown</a></div><div class="ttdeci">void doShutdown() override</div><div class="ttdef"><b>Definition:</b> TestMessageSender.cpp:96</div></div>
<div class="ttc" id="_message_observer_interface_8h_html"><div class="ttname"><a href="_message_observer_interface_8h.html">MessageObserverInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_html_a4734d80e07bf0feb5e4d430f6e70b44d"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#a4734d80e07bf0feb5e4d430f6e70b44d">alexaClientSDK::integration::test::TestMessageSender::waitForNext</a></div><div class="ttdeci">SendParams waitForNext(const std::chrono::seconds duration)</div><div class="ttdef"><b>Definition:</b> TestMessageSender.cpp:49</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params_html_a1544f28df3dca5fc0d9d8a946e88e1a4"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params.html#a1544f28df3dca5fc0d9d8a946e88e1a4">alexaClientSDK::integration::test::TestMessageSender::SendParams::request</a></div><div class="ttdeci">std::shared_ptr&lt; avsCommon::avs::MessageRequest &gt; request</div><div class="ttdef"><b>Definition:</b> TestMessageSender.h:52</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params.html">alexaClientSDK::integration::test::TestMessageSender::SendParams</a></div><div class="ttdef"><b>Definition:</b> TestMessageSender.h:48</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_html_af28872b52cbaa0de6f564e064cda47ad"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#af28872b52cbaa0de6f564e064cda47ad">alexaClientSDK::integration::test::TestMessageSender::enable</a></div><div class="ttdeci">void enable()</div><div class="ttdef"><b>Definition:</b> TestMessageSender.cpp:61</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_html_ab529ae50de9598bc8b65c2ae841af201"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#ab529ae50de9598bc8b65c2ae841af201">alexaClientSDK::integration::test::TestMessageSender::removeMessageObserver</a></div><div class="ttdeci">void removeMessageObserver(std::shared_ptr&lt; avsCommon::sdkInterfaces::MessageObserverInterface &gt; observer)</div><div class="ttdef"><b>Definition:</b> TestMessageSender.cpp:100</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_html_a0eb1ed8a91e86c20869dd8fe66bc8052"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#a0eb1ed8a91e86c20869dd8fe66bc8052">alexaClientSDK::integration::test::TestMessageSender::setAVSEndpoint</a></div><div class="ttdeci">void setAVSEndpoint(const std::string &amp;avsEndpoint)</div><div class="ttdef"><b>Definition:</b> TestMessageSender.cpp:77</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params_html_a54c389020d1074712ead473e1fa859ed"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params.html#a54c389020d1074712ead473e1fa859ed">alexaClientSDK::integration::test::TestMessageSender::SendParams::Type</a></div><div class="ttdeci">Type</div><div class="ttdef"><b>Definition:</b> TestMessageSender.h:50</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_html_a1ae2b5cc8b5b12ac7d2ff628b5553c28"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#a1ae2b5cc8b5b12ac7d2ff628b5553c28">alexaClientSDK::integration::test::TestMessageSender::addMessageObserver</a></div><div class="ttdeci">void addMessageObserver(std::shared_ptr&lt; avsCommon::sdkInterfaces::MessageObserverInterface &gt; observer)</div><div class="ttdef"><b>Definition:</b> TestMessageSender.cpp:91</div></div>
<div class="ttc" id="_message_sender_interface_8h_html"><div class="ttname"><a href="_message_sender_interface_8h.html">MessageSenderInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_html_aa107c49f645855dc9be7b993d9063b83"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#aa107c49f645855dc9be7b993d9063b83">alexaClientSDK::integration::test::TestMessageSender::removeConnectionStatusObserver</a></div><div class="ttdeci">void removeConnectionStatusObserver(std::shared_ptr&lt; avsCommon::sdkInterfaces::ConnectionStatusObserverInterface &gt; observer)</div><div class="ttdef"><b>Definition:</b> TestMessageSender.cpp:86</div></div>
<div class="ttc" id="_a_v_s_connection_manager_8h_html"><div class="ttname"><a href="_a_v_s_connection_manager_8h.html">AVSConnectionManager.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params_html_a54c389020d1074712ead473e1fa859eda548e51fa67d541384e9585adf0db95dc"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params.html#a54c389020d1074712ead473e1fa859eda548e51fa67d541384e9585adf0db95dc">alexaClientSDK::integration::test::TestMessageSender::SendParams::Type::SEND</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_html_aaabb981846520744e28c135381eb48be"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#aaabb981846520744e28c135381eb48be">alexaClientSDK::integration::test::TestMessageSender::sendMessage</a></div><div class="ttdeci">void sendMessage(std::shared_ptr&lt; avsCommon::avs::MessageRequest &gt; request) override</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html">alexaClientSDK::integration::test::TestMessageSender</a></div><div class="ttdef"><b>Definition:</b> TestMessageSender.h:33</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_html_a1c066490041487f7f5e5aae75ef741f0"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#a1c066490041487f7f5e5aae75ef741f0">alexaClientSDK::integration::test::TestMessageSender::disable</a></div><div class="ttdeci">void disable()</div><div class="ttdef"><b>Definition:</b> TestMessageSender.cpp:65</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_sender_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_sender_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::MessageSenderInterface</a></div><div class="ttdoc">This specifies an interface to send a message. </div><div class="ttdef"><b>Definition:</b> MessageSenderInterface.h:26</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_html_aa867cfb33c696a38b2ee3337956bf290"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#aa867cfb33c696a38b2ee3337956bf290">alexaClientSDK::integration::test::TestMessageSender::reconnect</a></div><div class="ttdeci">void reconnect()</div><div class="ttdef"><b>Definition:</b> TestMessageSender.cpp:73</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_html_a3c2ce10ea757a7654292f85ee252d6b9"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#a3c2ce10ea757a7654292f85ee252d6b9">alexaClientSDK::integration::test::TestMessageSender::TestMessageSender</a></div><div class="ttdeci">TestMessageSender(std::shared_ptr&lt; acl::MessageRouterInterface &gt; messageRouter, bool isEnabled, std::shared_ptr&lt; avsCommon::sdkInterfaces::ConnectionStatusObserverInterface &gt; connectionStatusObserver, std::shared_ptr&lt; avsCommon::sdkInterfaces::MessageObserverInterface &gt; messageObserver)</div><div class="ttdef"><b>Definition:</b> TestMessageSender.cpp:29</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params_html_a54c389020d1074712ead473e1fa859eda070a0fb40f6c308ab544b227660aadff"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params.html#a54c389020d1074712ead473e1fa859eda070a0fb40f6c308ab544b227660aadff">alexaClientSDK::integration::test::TestMessageSender::SendParams::Type::TIMEOUT</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_html_a3c69f5d6ad9702655497db65a844b673"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#a3c69f5d6ad9702655497db65a844b673">alexaClientSDK::integration::test::TestMessageSender::getConnectionManager</a></div><div class="ttdeci">std::shared_ptr&lt; acl::AVSConnectionManager &gt; getConnectionManager() const</div><div class="ttdef"><b>Definition:</b> TestMessageSender.cpp:105</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
